import os
from celery import Celery


# to tell the celery program which is seperate from where to find our Django projects settings
os.environ.setdefault('DJANGO_SETTINGS_MODULE','NorahUniversity.settings')


# create a Celery app instance

app=Celery('NorahUniversity')



# load the celery app connfiguration from the projects settings:

app.config_from_object('django.conf:settings',namespace='CELERY')

 
 # Auto discover the tasks from the django apps:

app.autodiscover_tasks()

